; Akeeba Upload to OneDrive post processing engine
; Copyright (c)2006-2015 Nicholas K. Dionysopoulos
; Version $Id$

; Engine information
[_information]
title=ENGINE_POSTPROC_ONEDRIVE_TITLE
description=ENGINE_POSTPROC_ONEDRIVE_DESCRIPTION

; Post-process after generating each part?
[engine.postproc.common.after_part]
default=0
type=bool
title=CONFIG_POSTPROCPARTS_TITLE
description=CONFIG_POSTPROCPARTS_DESCRIPTION

; Delete from server after processing?
[engine.postproc.common.delete_after]
default=1
type=bool
title=CONFIG_DELETEAFTER_TITLE
description=CONFIG_DELETEAFTER_DESCRIPTION

; Enable chunk upload?
[engine.postproc.onedrive.chunk_upload]
default=1
type=bool
title=CONFIG_BOX_CHUNKUPLOAD_ENABLE

; Chunk size in megabytes
[engine.postproc.onedrive.chunk_upload_size]
default=10
type=integer
min=4
max=60
shortcuts="5|10|20|40|60"
scale=1
uom=Mb
title=CONFIG_BOX_CHUNKUPLOAD_SIZE

; Open OAuth
[engine.postproc.box.openoauth]
default=""
type=button
title=CONFIG_BOX_OPENOAUTH_TITLE
description=CONFIG_BOX_OPENOAUTH_DESC
hook=akconfig_onedrive_openoauth

; OneDrive Directory name
[engine.postproc.onedrive.directory]
default="/"
type=string
title=CONFIG_ONEDRIVE_DIRECTORY_TITLE
description=CONFIG_ONEDRIVE_DIRECTORY_DESCRIPTION

[engine.postproc.onedrive.access_token]
default = ""
type=string
title=CONFIG_ONEDRIVE_ACCESSTOKEN_TITLE
description=CONFIG_ONEDRIVE_ACCESSTOKEN_DESCRIPTION

[engine.postproc.onedrive.refresh_token]
default = ""
type=string
title=CONFIG_ONEDRIVE_REFRESHTOKEN_TITLE
description=CONFIG_ONEDRIVE_REFRESHTOKEN_DESCRIPTION
